# Jbigtopnm

Updated: 29 September 2018
Table Of Contents

## NAME

jbigtopnm - JBIG to PNM image file converter

## SYNOPSIS

jbigtopnm [-xmax] [-ymax] [-binary] [-diagnose] [-plane] [input-file [output-file]]

Minimum unique abbreviation of option is acceptable. You may use double hyphens instead of single hyphen to denote options. You may use white space in place of the equals sign to separate an option name from its value.

## DESCRIPTION

This program is part of Netpbm.

jbigtopnm reads a JBIG bi-level image entity (BIE) from a file or standard input, decompresses it, and outputs a PBM or PGM file. If the input has one plane, or you choose just one plane of it, the output is PBM. Otherwise, the output is PGM.

JBIG is a highly effective lossless compression algorithm for bi-level images (one bit per pixel), which is particularly suitable for scanned document pages.

A JBIG encoded image can be stored in several resolutions in one or several BIEs. All resolution layers except the lowest one are stored efficiently as differences to the next lower resolution layer. You can use options -x and -y to stop the decompression at a specified maximal output image size. The input file can consist of several concatenated BIEs which contain different increasing resolution layers of the same image.

## OPTIONS

Before Netpbm 10.85 (December 2018), only single-character single-hyphen abbreviations of the options are accepted.

-x number
  Decode only up to the largest resolution layer which is still not more than number pixels wide. If no such resolution layer exists, then use the smallest one available.
-y number
  Decode only up to the largest resolution layer which is still not more than number pixels high. If no such resolution layer exists, then use the smallest one available. You can also use options -x and -y together which selects the largest layer that satisfies both limits.
-b
  Use binary values instead of Gray code words in order to decode pixel values from multiple bitplanes. This option has effect only if the input has more than one bitplane and you don't select just one of those bitplanes. Note that the decoder has to be used in the same mode as the encoder and cannot determine from the BIE, whether Gray or binary code words were used by the encoder.
-d
  Diagnose a BIE. With this option, jbigtopnm only prints a summary of the header information found in the input file and then exits.
-p number
  If the input contains multiple bitplanes, then extract only the specified single plane as a PBM file. The first plane has number 0.

## STANDARDS

This program implements the JBIG image coding algorithm as specified in ISO/IEC 11544:1993 and ITU-T T.82(1993).

## AUTHOR

jbigtopnm is based on the JBIG library by Markus Kuhn, part of his JBIG-KIT package. The jbgtopbm program is part of the JBIG-KIT package.

jbigtopnm is part of the Netpbm package of graphics tools.

## SEE ALSO

pnm, pnmtojbig

## LICENSE

If you use jbigtopnm, you are using various patents, particularly on its arithmetic encoding method, and in all probability you do not have a license from the patent owners to do so.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- STANDARDS
- AUTHOR
- SEE ALSO
- LICENSE